FW: linking wpa_supplicant

Jouni Malinen jkmaline at cc.hut.fi
Wed Apr 6 22:17:13 EDT 2005


On Wed, Apr 06, 2005 at 09:44:10AM +0100, martin.p.bradley at bt.com wrote:

> Yes it looks like I'm using the wrong openssl library.  How can I select
> the on that's installed in the directory /usr/local/openssl-0.9.7b/.
> Does the line below do what I need?  Probably not but that was what I
> tried...
> 
> export LDFLAGS=-L/usr/local/openssl-0.9.7b/

I use following lines in .config to select another openssl version:

CFLAGS += -I/home/jm/openssl/include
LIBS += -L/home/jm/openssl/lib

> eapol_test includes a file called radius.h.   I guessed that this was
> the radius.h but it looks like its not the correct one.

Unfortunately, radius.h was not being included in wpa_supplicant
tarballs. You can get it from my CVS repository, though. The easiest way
of compiling eapol_test would thus be to either use CVS pserver (see
http://hostap.epitest.fi/cvs.html) or download a CVS snapshot from
development branch
(http://hostap.epitest.fi/cgi-bin/viewcvs.cgi/hostap/hostap.tar.gz?tarball=1).
In the CVS tree, files are in bit different directories, but you can go
to wpa_supplicant directory, copy your .config file there (with the
openssl paths added as shown above) and just run 'make eapol_test'.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list